version: '3.2'
services:
  java:
    image: my_java_fx
    environment:
      - DISPLAY=novnc:0.0
    depends_on:
        - novnc
    build:
      dockerfile: Dockerfile
      context: ./
  novnc:
    image: theasp/novnc:latest
    environment:
      # Adjust to your screen size
      - DISPLAY_WIDTH=1600
      - DISPLAY_HEIGHT=968
      - RUN_XTERM=no
    ports:
      - "8080:8080"